Bug 1028834 - [abrt] java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19: os::abort(bool): Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19: os::abort(bool): Process /us...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:07da6d25080a4e121081968da79...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 20:36 EST by Bob
Modified: 2013-12-10 04:07 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 04:07:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.39 KB, text/plain)
2013-11-10 20:36 EST, Bob
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-10 20:36 EST, Bob
no flags Details
File: core_backtrace (88.18 KB, text/plain)
2013-11-10 20:36 EST, Bob
no flags Details
File: dso_list (12.14 KB, text/plain)
2013-11-10 20:36 EST, Bob
no flags Details
File: environ (1.57 KB, text/plain)
2013-11-10 20:36 EST, Bob
no flags Details
File: hs_err.log (106.00 KB, text/plain)
2013-11-10 20:36 EST, Bob
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-10 20:36 EST, Bob
no flags Details
File: maps (72.73 KB, text/plain)
2013-11-10 20:36 EST, Bob
no flags Details
File: open_fds (3.68 KB, text/plain)
2013-11-10 20:36 EST, Bob
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-11-10 20:36 EST, Bob
no flags Details
File: var_log_messages (426 bytes, text/plain)
2013-11-10 20:37 EST, Bob
no flags Details

  None (edit)
Description Bob 2013-11-10 20:36:24 EST
Description of problem:
Attempted to start CrashPlan Desktop tool.

Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 3
cmdline:        /usr/bin/java -Dfile.encoding=UTF-8 -Dapp=CrashPlanDesktop -DappBaseName=CrashPlan -Xms20m -Xmx512m -Djava.net.preferIPv4Stack=true -Dsun.net.inetaddr.ttl=300 -Dnetworkaddress.cache.ttl=300 -Dsun.net.inetaddr.negative.ttl=0 -Dnetworkaddress.cache.negative.ttl=0 -Dc42.native.md5.enabled=false -classpath ./lib/com.backup42.desktop.jar:./lang:./skin com.backup42.desktop.CPDesktop
crash_function: os::abort(bool)
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 os::abort(bool) at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/lib/amd64/server/libjvm.so
 #3 VMError::report_and_die() at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/lib/amd64/server/libjvm.so
 #4 JVM_handle_linux_signal at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/lib/amd64/server/libjvm.so
 #6 soup_session_feature_detach at /lib64/libsoup-2.4.so.1
 #7 Java_org_eclipse_swt_internal_webkit_WebKitGTK__1soup_1session_1feature_1detach at /tmp/.cpswt/libswt-webkit-gtk-4234.so
 #8 ??
 #9 ??
 #10 ??
 #11 ??
Comment 1 Bob 2013-11-10 20:36:32 EST
Created attachment 822231 [details]
File: backtrace
Comment 2 Bob 2013-11-10 20:36:35 EST
Created attachment 822232 [details]
File: cgroup
Comment 3 Bob 2013-11-10 20:36:38 EST
Created attachment 822233 [details]
File: core_backtrace
Comment 4 Bob 2013-11-10 20:36:41 EST
Created attachment 822234 [details]
File: dso_list
Comment 5 Bob 2013-11-10 20:36:44 EST
Created attachment 822235 [details]
File: environ
Comment 6 Bob 2013-11-10 20:36:47 EST
Created attachment 822236 [details]
File: hs_err.log
Comment 7 Bob 2013-11-10 20:36:50 EST
Created attachment 822237 [details]
File: limits
Comment 8 Bob 2013-11-10 20:36:52 EST
Created attachment 822238 [details]
File: maps
Comment 9 Bob 2013-11-10 20:36:55 EST
Created attachment 822239 [details]
File: open_fds
Comment 10 Bob 2013-11-10 20:36:58 EST
Created attachment 822240 [details]
File: proc_pid_status
Comment 11 Bob 2013-11-10 20:37:01 EST
Created attachment 822241 [details]
File: var_log_messages
Comment 12 Deepak Bhole 2013-11-12 09:24:37 EST
Originated in SWT code: Java_org_eclipse_swt_internal_webkit_WebKitGTK__1soup_1session_1feature_1detach

Re-assigning.
Comment 13 Alexander Kurtakov 2013-12-10 04:07:17 EST
This bug was fixed in SWT 4.3 which is part of Fedora 19 and originates in some third party downloaded app which uses swt 4.2. Please either update your application to newer version if exists or try to replace the swt.jar in your app with the one coming from fedora. Closing as there is not much more we can do.

Note You need to log in before you can comment on or make changes to this bug.